GDB (xrefs)

Public Attributes | List of all members
bstring Struct Reference

## Public Attributes
struct bstring * | next
unsigned short | length
unsigned short | half_hash
union {
char data [1]
double dummy
} | d

## Detailed Description

Definition at line 32 of file bcache.c.

## Member Data Documentation

## ◆ d

union { ... } bstring::d

Referenced by bcache_full(), and expand_hash_table().

## ◆ data

char bstring::data[1]

Definition at line 46 of file bcache.c.

Referenced by bcache_full(), and expand_hash_table().

## ◆ dummy

double bstring::dummy

Definition at line 47 of file bcache.c.

## ◆ half_hash

unsigned short bstring::half_hash

Definition at line 42 of file bcache.c.

Referenced by bcache_full().

## ◆ length

unsigned short bstring::length

Definition at line 37 of file bcache.c.

Referenced by bcache(), bcache_compare(), bcache_full(), expand_hash_table(), hash(), hash_continue(), and print_bcache_statistics().

## ◆ next

struct bstring* bstring::next

Definition at line 35 of file bcache.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), bcache_full(), expand_hash_table(), and print_bcache_statistics().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/bcache.c